EDIT - bug #9061

Create analyze framework for CDM Excel imports
06/10/2020 01:15 PM - Andreas Mdller

Status: New Start date:

Priority: New Due date:

Assignee: Andreas Muller % Done: 0%
Category: cdmadapter Estimated time: 0:00 hour
Target version: Release 5.46

Severity: normal Found in Version:

Description

This framework should allow to analyze import data before running the import.
This should include

® analyzeWorkbook(): ananlyzes the overall Workbook structure (obligatory worksheets with correct names, tables which are not

required, ...)
¢ analyzeWorksheetStructure(): which analyzes the existing columns (obligatory columns, facultative columns, columns not in
use, ...)

¢ analyzeData: which analyzes the data in the worksheet(s) on correctness, this includes
o test new data: is the new data correctly formatted so it can be imported

o test persistent data: e.g. do taxon UUIDs match with existing accepted taxa

o e

The framework in general should only work for csv data.

The result should be generic so it can be used for any table based imports (or even for non-table based imports).

The result should distinguish data which is generally impossible to import (e.g. a required column could not be found), data which
looses certain records during import and data which has slightly incorrect import result (e.g. 1 not required field in a record can not be
imported).

Related issues:
Related to EDIT - task #9041: Import Flora of Uzbekistan taxa altitudes Closed
Related to EDIT - bug #9049: Import Flora of Uzbekistan taxa habitats Closed

Associated revisions

Revision 9a666f9e - 06/10/2020 01:20 PM - Andreas Miiller

ref #9061 a very first try to create an import analyzer framework (with example AltitudeExcellmport)

Revision 5cf1f8e1 - 07/06/2020 10:30 AM - Andreas Miiller

ref #9061 some further steps for an import analyze framework

History

#1 - 06/10/2020 01:16 PM - Andreas Miiller

- Description updated

#2 - 06/10/2020 01:20 PM - Andreas Miiller
- Related to task #9041: Import Flora of Uzbekistan taxa altitudes added

#3 - 07/06/2020 10:40 AM - Andreas Miiller
- Related to bug #9049: Import Flora of Uzbekistan taxa habitats added

#4 - 11/30/2020 11:00 AM - Andreas Miiller

- Target version changed from Release 5.18 to Release 5.19
#5 - 01/27/2021 03:44 PM - Andreas Miiller

- Target version changed from Release 5.19 to Release 5.21

#6 - 03/10/2021 02:35 PM - Andreas Miiller

- Target version changed from Release 5.21 to Release 5.22

#7 - 04/16/2021 09:54 PM - Andreas Miiller

- Target version changed from Release 5.22 to Release 5.46
